/*
    A basic extension of the java.applet.Applet class
 */

import java.awt.*;
import java.applet.*;
import java.net.*;
import java.util.*;
import java.io.*;

public class phoneClient extends Applet {

    public static final int PORT = 5000;
    Socket s;
    DataInputStream in;
    PrintStream out;
    MultiListBoxListener listener;

	void searchButton_Clicked(Event event) {
		doQuery();
	}

	public void init() {
		super.init();

		//{{INIT_CONTROLS
		setLayout(null);
		addNotify();
		resize(490,416);
		setBackground(new Color(8454143));
		Group1 = new CheckboxGroup();
		fnameButton = new java.awt.Checkbox("First name (exact)", Group1, true);
		fnameButton.reshape(24,48,156,15);
		add(fnameButton);
		matchButton = new java.awt.Checkbox("Matching records", Group1, false);
		matchButton.reshape(24,96,216,18);
		add(matchButton);
		snameButton = new java.awt.Checkbox("Surname (exact)", Group1, false);
		snameButton.reshape(24,72,150,16);
		add(snameButton);
		searchTypeLabel = new java.awt.Label("Please select what type of search you'd like:");
		searchTypeLabel.reshape(12,12,336,19);
		add(searchTypeLabel);
		label1 = new java.awt.Label("Please enter the string you'd like to search for");
		label1.reshape(12,132,336,19);
		add(label1);
		searchText = new java.awt.TextField();
		searchText.reshape(12,156,204,24);
		searchText.setBackground(new Color(16777215));
		add(searchText);
		searchButton = new java.awt.Button("Start Search");
		searchButton.reshape(216,192,96,24);
		add(searchButton);
		ResultList = new symantec.itools.awt.MultiList();
		ResultList.reshape(12,228,468,180);
		add(ResultList);
		{
			java.lang.String[] tempString = new java.lang.String[7];
			tempString[0] = new java.lang.String("EmpNo");
			tempString[1] = new java.lang.String("Surname");
			tempString[2] = new java.lang.String("Firstname");
			tempString[3] = new java.lang.String("Title");
			tempString[4] = new java.lang.String("Phone");
			tempString[5] = new java.lang.String("Mobile");
			tempString[6] = new java.lang.String("Site");
			ResultList.setHeadings(tempString);
		}
		{
			java.lang.String[] tempString = new java.lang.String[7];
			tempString[0] = new java.lang.String("60");
			tempString[1] = new java.lang.String("80");
			tempString[2] = new java.lang.String("70");
			tempString[3] = new java.lang.String("200");
			tempString[4] = new java.lang.String("100");
			tempString[5] = new java.lang.String("100");
			tempString[6] = new java.lang.String("60");
			ResultList.setColumnSizes(tempString);
		}
		//}}
        try {
            s = new Socket("intra", PORT);
            in = new DataInputStream(s.getInputStream());
            out = new PrintStream(s.getOutputStream());
            listener = new MultiListBoxListener (in, ResultList);
            out.println("connect intrauser intraloser phone");
        }
        catch (IOException e) {;}

	}

	public boolean handleEvent(Event event) {
		if (event.target == searchText && event.id == Event.ACTION_EVENT) {
			searchText_EnterHit(event);
			return true;
		}
		if (event.target == searchButton && event.id == Event.ACTION_EVENT) {
			searchButton_Clicked(event);
			return true;
		}
		return super.handleEvent(event);
	}

	void doQuery() {

        ResultList.clear();
		String nameText = searchText.getText();
		try {
            String query = "";
            if (fnameButton.getState() == true)
                query = "phone_query 1|" + nameText;
            else if (snameButton.getState() == true)
                query = "phone_query 2|" + nameText;
            else
                query = "phone_query 3|" + nameText;
            out.println(query);
        } catch (Exception e) {
            System.out.println(e.getMessage());
            e.printStackTrace();
       }
	}

	void searchText_EnterHit(Event event) {
		// to do: place event handler code here.
		doQuery();
	}

	//{{DECLARE_CONTROLS
	java.awt.Checkbox fnameButton;
	CheckboxGroup Group1;
	java.awt.Checkbox matchButton;
	java.awt.Checkbox snameButton;
	java.awt.Label searchTypeLabel;
	java.awt.Label label1;
	java.awt.TextField searchText;
	java.awt.Button searchButton;
	symantec.itools.awt.MultiList ResultList;
	//}}
}
