import java.awt.*;
import java.io.*;
import java.util.*;
import symantec.itools.awt.MultiList;

class MultiListBoxListener extends Thread {
   DataInputStream in;
   MultiList output;

   public MultiListBoxListener(DataInputStream in, MultiList output) {
      this.in = in;
      this.output = output;
      this.start();
   }
   

   public void run() {
      String line;
      int row = 0;
      try {
         for(;;row++) {
            line = in.readLine();
            if(line == null) break;
            if (line.equals("OK") || line.endsWith("in to PHONE") ||
                line.startsWith("ERROR") || line.startsWith("WARNING")) {
                row=-1;
                continue;
            }
            StringTokenizer st = new StringTokenizer(line,"|");
            Vector v = new Vector();
				String dummy = new String();
            for(int col=0; st.hasMoreTokens(); col++) {
                if (col != 7)
                    v.addElement(st.nextToken());
                else
                    dummy = st.nextToken();
            }
            Enumeration e = v.elements();
            for (int col=0; e.hasMoreElements(); col++) {
                output.addTextCell(row,col,(String)e.nextElement());
            }
         }
      }
      catch (IOException e) {
      }
   }
}
