import java.net.*;
import java.io.*;
import java.util.*;
import java.sql.*;
import java.math.*;


class Vulture extends Thread {
   protected intraServer server;

   protected Vulture(intraServer s) {
      super(s.threadgroup, "Connection Vulture");
      server = s;
      this.start();
   }

   public synchronized void run() {
      for (;;) {
         try { this.wait(500); }
         catch (InterruptedException e) {;}
         // prevent simultaneous access
         synchronized(server.connections) {
            // loop through the connections
            for (int i=0; i<server.connections.size(); i++) {
               IntranetConnection c;
               c = (IntranetConnection)server.connections.elementAt(i);
               // if the connection thread isn't alive anymore,
               // remove it from the Vector and List.
               if (!c.isAlive()) {
                  server.connections.removeElementAt(i);
                  server.connection_list.delItem(i);
                  i--;
               }
            }
         }
      }
   }
}
